Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.pojo
Class BasicLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer

All Implemented Interfaces:
  LazyInitializer

Direct Known Subclasses:
  CGLIBLazyInitializer, JavassistLazyInitializer

    public abstract class BasicLazyInitializer

extends AbstractLazyInitializer

Lazy initializer for POJOs

Author:
  Gavin King

Field Summary
`protected AbstractComponentType` | `componentIdType`
`protected Method` | `getIdentifierMethod`
`protected static Object` | `INVOKE_IMPLEMENTATION`
`protected boolean` | `overridesEquals`
`protected Class` | `persistentClass`
`protected Method` | `setIdentifierMethod`

Constructor Summary
`protected` | `BasicLazyInitializer(String entityName, Class persistentClass, Serializable id, Method getIdentifierMethod, Method setIdentifierMethod, AbstractComponentType componentIdType, SessionImplementor session)`

Method Summary
`Class` | `getPersistentClass()` Get the actual class of the entity (don't use this, use the entityName)
`protected Object` | `invoke(Method method, Object[] args, Object proxy)`
`protected abstract Object` | `serializableProxy()`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isUninitialized, isUnwrap, setIdentifier, setImplementation, setSession, setUnwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVOKE_IMPLEMENTATION

    protected static final Object INVOKE_IMPLEMENTATION

### persistentClass

    protected Class persistentClass

### getIdentifierMethod

    protected Method getIdentifierMethod

### setIdentifierMethod

    protected Method setIdentifierMethod

### overridesEquals

    protected boolean overridesEquals

### componentIdType

    protected AbstractComponentType componentIdType

Constructor Detail

### BasicLazyInitializer

    protected BasicLazyInitializer(String entityName,
                                   Class persistentClass,
                                   Serializable id,
                                   Method getIdentifierMethod,
                                   Method setIdentifierMethod,
                                   AbstractComponentType componentIdType,
                                   SessionImplementor session)

Method Detail

### serializableProxy

    protected abstract Object serializableProxy()

### invoke

    protected final Object invoke(Method method,
                                  Object[] args,
                                  Object proxy)
                           throws Throwable

  Throws:
    `Throwable`

### getPersistentClass

    public final Class getPersistentClass()

  Description copied from interface: `LazyInitializer`
  Get the actual class of the entity (don't use this, use the entityName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD